Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class MultirowReport2

    java.lang.Object
      com.sun.mdm.index.report.Report
          com.sun.mdm.index.report.MultirowReport1
              com.sun.mdm.index.report.MultirowReport2

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AssumedMatchReport, MergeReport, PotentialDuplicateReport, UnmergeReport, UpdateReport

public abstract class MultirowReport2
extends MultirowReport1

Base class for reports that contain two objects

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.report.Report
`mConfig`

Constructor Summary
`MultirowReport2(MultirowReportConfig2 config)` Creates a new instance of MultirowReport2.

Method Summary
`void` | `outputDelimitedTextHeader(java.io.PrintStream pstream)` Output the header to the output stream.
`void` | `outputDelimitedTextRow(java.io.PrintStream pstream, MultirowReportObject2 reportRow)` Appends text representation of object node to the stream.

Methods inherited from class com.sun.mdm.index.report.MultirowReport1
`addRow, clear, getNextRow, hasMore, hasNext, outputDelimitedTextRow, setNoMore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultirowReport2

    public MultirowReport2(MultirowReportConfig2 config)

  Creates a new instance of MultirowReport2.

  Parameters:
    `config` - Report configuration.

Method Detail

### outputDelimitedTextHeader

    public void outputDelimitedTextHeader(java.io.PrintStream pstream)
                                   throws java.lang.Exception

  Output the header to the output stream. Header partly made up of hard coded name fields and those specified in config file.

  Overrides:
    `outputDelimitedTextHeader` in class `MultirowReport1`
  Parameters:
    `pstream` - Print stream for output.
  Throws:
    `java.lang.Exception` - if an error occurs.

### outputDelimitedTextRow

    public void outputDelimitedTextRow(java.io.PrintStream pstream,
                                       MultirowReportObject2 reportRow)
                                throws java.lang.Exception

  Appends text representation of object node to the stream. Allows client for example to save contents to disk.

  Parameters:
    `pstream` - Print stream for output.
    `reportRow` - Report row to output.
  Throws:
    `java.lang.Exception` - if an error occurs.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.